Subject: Re: Hello
From: Ernie Wright <[email-masked]>
To: Multiple recipients of list <[email-masked]>
Date: Mon, 11 Dec 1995 01:06:25 -0500

Kent Lidke wrote:

> VRML tip:  Stretch objects by -1 on the Z-axis before VRML save, or
> they end up reversed in the browser.  Probably explains why the
> OpenGL modeler preview is backwards.

This gave me a chuckle, just because I'm a programmer.  LW uses left-
handed world coordinates, but a lot of other systems are right-handed.
The first time I wrote a program to create a LW object, many moons ago,
it came in lying on its side and inside-out.

Modelers, if you do a negative scale along an odd number of axes (1 or
3), this will flip all of your polygons--don't forget to flip them
back.  Programmers, if you need to flip the handedness of your geometry,
don't forget to reverse your point order.

- Ernie